# SoScale1Dragger Class Reference
[Draggers]

`#include <Inventor/draggers/SoScale1Dragger.h>`

Inheritance diagram for SoScale1Dragger:

List of all members.

## Detailed Description

The SoScale1Dragger class provides a mechanism for the end-user to scale in one dimension.

Here's how the dragger looks with it's default geometry in the inactive state:

Use this dragger to allow the end-user of your application to scale along the X-axis. (Use a transformation node in front of the dragger to position it and re-orient it to scale along any vector.)

See also:
  SoScale2Dragger, SoScaleUniformDragger, SoScale2UniformDragger

## Public Member Functions

| SoScale1Dragger (void)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFVec3f | scaleFactor

## Protected Member Functions

| ~SoScale1Dragger ()
virtual SbBool | setUpConnections (SbBool onoff, SbBool doitalways=FALSE)
void | dragStart (void)
void | drag (void)
void | dragFinish (void)

## Static Protected Member Functions

void | startCB (void *f, SoDragger *d)
void | motionCB (void *f, SoDragger *d)
void | finishCB (void *f, SoDragger *d)
void | fieldSensorCB (void *f, SoSensor *s)
void | valueChangedCB (void *f, SoDragger *d)

## Protected Attributes

SoFieldSensor * | fieldSensor
SbLineProjector * | lineProj

## Constructor & Destructor Documentation

SoScale1Dragger::SoScale1Dragger | ( | void |  | ) |

Default constructor, sets up the dragger nodekit catalog with the interaction and feedback geometry.

Node kit structure (new entries versus parent class marked with arrow prefix):

      CLASS SoScale1Dragger
      -->"this"
            "callbackList"
            "topSeparator"
               "motionMatrix"
               "geomSeparator"
      -->         "scalerSwitch"
      -->            "scaler"
      -->            "scalerActive"
      -->         "feedbackSwitch"
      -->            "feedback"
      -->            "feedbackActive"

(See SoBaseKit::printDiagram() for information about the output formatting.)

Detailed information on catalog parts:

      CLASS SoScale1Dragger
      PVT   "this",  SoScale1Dragger  ---
            "callbackList",  SoNodeKitListPart [ SoCallback, SoEventCallback ]
      PVT   "topSeparator",  SoSeparator  ---
      PVT   "motionMatrix",  SoMatrixTransform  ---
      PVT   "geomSeparator",  SoSeparator  ---
      PVT   "scalerSwitch",  SoSwitch  ---
            "scaler",  SoSeparator  ---
            "scalerActive",  SoSeparator  ---
      PVT   "feedbackSwitch",  SoSwitch  ---
            "feedback",  SoSeparator  ---
            "feedbackActive",  SoSeparator  ---

(See SoBaseKit::printTable() for information about the output formatting.)

SoScale1Dragger::~SoScale1Dragger | ( |  | ) | `[protected]`

| Protected destructor. (Dragger classes are derived from SoBase, so they are reference counted and automatically destroyed when their reference count goes to 0.)

## Member Function Documentation

void SoScale1Dragger::initClass | ( | void |  | ) | `[static]`

| Initializes type system for this dragger class. Application programmers should usually not have to invoke this method, see documentation of SoInteraction::init(). Reimplemented from SoDragger.

SbBool SoScale1Dragger::setUpConnections | ( | SbBool | onoff,
|  | SbBool | doitalways = FALSE
| ) | `[protected, virtual]`

| Sets up all internal connections for instances of this class. (This method will usually not be of interest to the application programmer, unless you want to extend the library with new custom nodekits or dragger classes. If so, see the SoBaseKit class documentation.) Reimplemented from SoInteractionKit.

void SoScale1Dragger::startCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoScale1Dragger::motionCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoScale1Dragger::finishCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoScale1Dragger::fieldSensorCB | ( | void * | d,
|  | SoSensor * | s
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Reimplemented from SoInteractionKit.

void SoScale1Dragger::valueChangedCB | ( | void * | f,
|  | SoDragger * | d
| ) | `[static, protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoScale1Dragger::dragStart | ( | void |  | ) | `[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Called when dragger is selected (picked) by the user.

void SoScale1Dragger::drag | ( | void |  | ) | `[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Called when user drags the mouse after picking the dragger.

void SoScale1Dragger::dragFinish | ( | void |  | ) | `[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Called when mouse button is released after picking and interacting with the dragger.

## Member Data Documentation

SoSFVec3f SoScale1Dragger::scaleFactor

| Continuously updated to contain the current vector of scaling along the X, Y and Z axes. For the SoScale1Dragger, only the X component is used, the Y and Z components will always be equal to 1 (ie no scaling).

SoFieldSensor * SoScale1Dragger::fieldSensor`[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Reimplemented from SoInteractionKit.

SbLineProjector * SoScale1Dragger::lineProj`[protected]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

The documentation for this class was generated from the following files:

- SoScale1Dragger.h
- SoScale1Dragger.cpp